package client_handlers

import (
	"cpone/utils"
	client_mdusergroup "cpone/views/client/mdusergroup"

	"github.com/labstack/echo/v4"
)

type MdUserGroupService interface {
}

func NewMdUserGroupHandler(us MdUserGroupService) *MdUserGroupHandler {
	return &MdUserGroupHandler{
		MdUserGroupService: us,
	}
}

type MdUserGroupHandler struct {
	MdUserGroupService MdUserGroupService
}

func (uh *MdUserGroupHandler) ShowMdUserGroup(c echo.Context) error {
	helo := client_mdusergroup.Show()
	return utils.View(c, helo)
}
